Check Debts
With this service, you can find out the full debt of a parcel or customer.
GET
/integrators/payments/debts/detail
Filter parameters
You must provide at least one parameter: either room number (roomNumber) or tracking code (waybillNumber).
| Field | Type | Required | Example | Description |
|---|---|---|---|---|
| roomNumber | string | Conditional |
IG00001
Required if waybillNumber is missing. |
Customer's room number. |
| waybillNumber | string | Conditional |
TY7200934421231
Required if roomNumber is missing. |
Parcel tracking in the Inex system. |
Response Structure 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.totalDebt | integer | 1500 | Total debt in tetri/cents. |
| data.currency | string | GEL (ISO 4217) | The currency of the debt. |
| data.invoices.*.invoiceNumber | string | INV-52446 | Invoice number in the Inex system. |
| data.invoices.*.amount | integer | 1000 (10 GEL) | Invoice amount in tetri/cents. |
| data.invoices.*.earnableBonus | integer | 79 (0.79 GEL) | Bonus to be accrued in tetri (GEL). |
| data.invoices.*.serviceType | string | Transportation | Service type. Possible options: transportation, homeDelivery, customsDeclaration, insurance, orderStatement |
Services Description
| transportation | Transportation cost. |
| homeDelivery | Delivery cost - courier service. |
| customsDeclaration | Customs declaration cost. |
| insurance | Parcel insurance cost. |
| orderStatement | Order assistance service cost. |
Possible Responses
| Code | Description |
|---|---|
| 200 OK | Information about the existing debt. |
| 404 Not Found | Customer or parcel not found. |
| 403 Forbidden | You do not have permission to perform this operation |
| 422 Unprocessable | Validation error (invalid type or missing field). |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/payments/debts/detail \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"roomNumber": "IG00001",
}'
curl -X GET https://api-staging.inex.ge/api/v1/integrators/payments/debts/detail \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"waybillNumber": "TY7200934421231",
}'
Response (200 OK)
JSON Response
JSON
{
"totalDebt": 1500,
"currency": "GEL",
"invoices": [
{
"invoiceNumber": "INV-52446",
"amount": 1000,
"earnableBonus": 79,
"serviceType": "transportation"
},
{
"invoiceNumber": "INV-52392",
"amount": 500,
"earnableBonus": 0,
"serviceType": "insurance"
}
]
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested customer not found"
]
},
"message": "error"
}
Error Response (422)
JSON Response
JSON
{
"message": "The room number field is required when waybill number is not present. (and 1 more error)",
"errors": {
"roomNumber": [
"The room number field is required when waybill number is not present."
],
"waybillNumber": [
"The waybill number field is required when room number is not present."
]
}
}